# Fleet

Source: https://opvs.ai/docs/api/fleet

## `GET` /api/v1/fleet/boxes

**List Fleet Boxes**

**Parameters**

- `region` (query, any, optional)
- `runtime` (query, any, optional)

```bash
curl -X GET 'https://app.opvs.ai/api/v1/fleet/boxes' \
  -H 'Authorization: Bearer <token>'
```

```python
import httpx

resp = httpx.get(
    "https://app.opvs.ai/api/v1/fleet/boxes",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
```

```javascript
const resp = await fetch("https://app.opvs.ai/api/v1/fleet/boxes", {
  method: "GET",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
```

```go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/fleet/boxes", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}
```

**Responses**

- `200` — Successful Response
- `422` — Validation Error

## `POST` /api/v1/fleet/boxes/{box_id}/claim

**Claim Fleet Box**

**Parameters**

- `box_id` (path, string, required)

```bash
curl -X POST 'https://app.opvs.ai/api/v1/fleet/boxes/{box_id}/claim' \
  -H 'Authorization: Bearer <token>'
```

```python
import httpx

resp = httpx.post(
    "https://app.opvs.ai/api/v1/fleet/boxes/{box_id}/claim",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
```

```javascript
const resp = await fetch("https://app.opvs.ai/api/v1/fleet/boxes/{box_id}/claim", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
```

```go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("POST", "https://app.opvs.ai/api/v1/fleet/boxes/{box_id}/claim", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}
```

**Responses**

- `200` — Successful Response
- `422` — Validation Error

## List Fleet Boxes

`GET https://app.opvs.ai/api/v1/fleet/boxes`

Also as: MCP `tool_call software-factory.listFleetBoxes` · skill `software-factory`

| Code | When | What to do |
| --- | --- | --- |
| 422 | Validation Error |  |

## Claim Fleet Box

`POST https://app.opvs.ai/api/v1/fleet/boxes/{box_id}/claim`

Also as: MCP `tool_call software-factory.claimFleetBox` · skill `software-factory`

| Code | When | What to do |
| --- | --- | --- |
| 422 | Validation Error |  |
